## org.h2.result
Class RowFactory

    java.lang.Object
      org.h2.result.RowFactory

Direct Known Subclasses:
  TestRowFactory.MyTestRowFactory

    public abstract class RowFactory

extends java.lang.Object

Creates rows.

Field Summary
`static RowFactory` `DEFAULT` Default implementation of row factory.

Constructor Summary
`RowFactory()`

Method Summary
`abstract Row` `createRow(Value[] data, int memory)` Create new row.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT

    public static final RowFactory DEFAULT

  Default implementation of row factory.

Constructor Detail

### RowFactory

    public RowFactory()

Method Detail

### createRow

    public abstract Row createRow(Value[] data,
                                  int memory)

  Create new row.

  Parameters:
    `data` - the values
    `memory` - whether the row is in memory
  Returns:
    the created row